import request from '@/utils/request'

// 查询AI令牌列表
export function listCozeTokenSet(query) {
  return request({
    url: '/system/cozeTokenSet/list',
    method: 'get',
    params: query
  })
}

// 查询AI令牌详细
export function getCozeTokenSet(id) {
  return request({
    url: '/system/cozeTokenSet/' + id,
    method: 'get'
  })
}

// 新增AI令牌
export function addCozeTokenSet(data) {
  return request({
    url: '/system/cozeTokenSet',
    method: 'post',
    data: data
  })
}

// 修改AI令牌
export function updateCozeTokenSet(data) {
  return request({
    url: '/system/cozeTokenSet',
    method: 'put',
    data: data
  })
}

// 删除AI令牌
export function delCozeTokenSet(id) {
  return request({
    url: '/system/cozeTokenSet/' + id,
    method: 'delete'
  })
}
